<?php
 require_once('../../../includes/load.php');

 $convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$placa=$_REQUEST['placa'];
$rs= $db->query("SELECT cso.*, cgp.*, ctr.*, cd.*, cct.*, csoo.*, cie.* FROM tb_configuracion_soat cso LEFT JOIN tb_configuracion_gps cgp ON cso.placa1 = cgp.placa3 LEFT JOIN tb_configuracion_revisiontecnica ctr ON cso.placa1 = ctr.placa5 LEFT JOIN tb_configuracion_depreciacion cd ON cso.placa1 = cd.placa2 LEFT JOIN tb_configuracion_costoneumatico cct ON cso.placa1 = cct.placa6 LEFT JOIN tb_configuracion_sueldooperaciones csoo ON cso.placa1 = csoo.placa7 LEFT JOIN tb_configuracion_impvehicular cie ON cso.placa1 = cie.placa4 WHERE cso.placa1 = '$placa' OR cgp.placa3 = '$placa' OR ctr.placa5 = '$placa' OR cd.placa2 = '$placa' OR cct.placa6 = '$placa' OR csoo.placa7 = '$placa' OR cie.placa4 = '$placa' ORDER BY cso.id DESC, cgp.id DESC, ctr.id DESC, cd.id DESC, cct.id DESC, csoo.id DESC, cie.id DESC LIMIT 1"); 
$data = array();
 

 while( $rows = mysqli_fetch_assoc($rs) ) {
        $data = array_map($convert_utf8, $rows);     
}
 echo json_encode($data, JSON_UNESCAPED_UNICODE);
?>
